$(function()
{
    $('#dataform input[name="file"]').on('change', function()
    {
        if($('#name').val().length) return;

        var files = this.files;
        if(!files.length) return;
        $('#name').val(files[0].name.split('.')[0]);
    });

    $('#fileInput').fileInput({onDelete: function()
    {
        $('#file').val('');
    }});

    $('.file-input-delete').click(function(){
        $('#tableSelectRow').toggleClass('hidden', true);
    });

    $('[data-toggle="popover"]').popover();

    $(document).on('change', 'input[name="database"]', function(evt)
    {
        var name = $('input[name="name"]').val();
        if(!name || name.length == 0) $('input[name="name"]').val($(evt.target).val());
    });
});

function changeType(datasourceType)
{
    if(datasourceType == 'excel')
    {
        $('#sourceUploadRow').removeClass('hidden');
        $('.sql-info').addClass('hidden');
    }
    else
    {
        $('#sourceUploadRow').addClass('hidden');
        $('.sql-info').removeClass('hidden');
    }
}

function syncSourceName()
{
    /* When excel, return.*/
    if($('#database').parents('tr').hasClass('hidden')) return;

    var database = $('#database').val();
    if($('#name').val() == '') $('#name').val(database);
}
